From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 6 February 2007<P>

hairdiva, about <a href="/blend/wv.cgi?id=2007.02.05.16.17.2300">It's Time</a>: this is poetry,  i am loving the blender right now we got alot of talent here.<BR>
<BR>
~i'm just him~<BR>
  tru story<BR>

<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 6 February 2007<P>

hairdiva, it is extremely difficult to tame the heart with the brain. Both of us have had a time communicating when things are too busy around us. We have to stop and focus on what's important to us--US. When this has been impossible to do in the past, it's been the signal to walk away. It's hard to toss what you've spent so much in emotional, relationship building. Hard to do, but harder to stay as the hurt chips pieces from your heart each day. Better to walk away while there's enough left to heal. Sometimes, by nature, one partner is the builder and the other is the bulldozer. Somewhere someone will love you / me /each of us some day. Hugs to you in support.<BR>
<BR>
b.k., worrying me on where you are as I know how difficult things have been for you and your mom ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 6 February 2007<P>

I'm just him, thanks for your words.  I still feel like a neophyte and calling myself a poet is still a hurdle.  Thanks for saying so.  <BR>
<BR>
Rennie, I listen to you.  You seem like you've had a lot of experience and wisdom.  I feel like we think differently in terms of staying open to a relationship after being hurt, because I have an insurmountable habit of doing just the opposite.  I shut down, and I stay that way for months, even years.  I don't know any other way.  It happens as an instinct, and I don't think I'm alone im this.  Deep, deep inside, though, is a tiny diamond of hope.  But it would take a real headstrong and determined individual to force past those defense mechanisms.  These days, it's too easy to move on to the next, easier situation.  I am less afraid of being alone than of not being understood on a deeply personal level.  Like Sheryl Crow says, I have a face I cannot show.  I show the world a different one, one with a smile and a lightness that they seem to need.  And I am going there again.  I could be there for years.  
<HR>
From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 6 February 2007<P>

Man, it's dead in here....is everyone hiding for Valentines day?  Ah well....hoping it picks up a little, where have all the little blenderites gone....<BR>
<BR>
darwin
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 6 February 2007<P>

Darwin:  Wow!
<HR>